#ifndef __MIXER_CURVES_PROTOS_H
#define __MIXER_CURVES_PROTOS_H

/*

  MixerCurses.h: Indications

  x value is expressed in samples i.e. read_bytes*4
  y value for volume: 0 .. 255

*/

typedef struct s_point t_point; /* Un point sur la courbe */
struct s_point
{
  int      x; /* Abscysse */
  int      y; /* Ordonne */
  t_point* next_point;
}; /* s_point */

typedef struct s_instrux t_instrux; /* Une instruction du script */
struct s_instrux
{
  int        instrux;
  int        parm1;
  int        parm2;
  t_instrux* next_instrux;
}; /* s_instrux */

#endif
